> For the complete documentation index, see [llms.txt](https://docs.uibakery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uibakery.io/how-tos/layout-and-navigation/hide-loader-in-the-embedded-mode.md).

# Hiding UI Bakery loader in the Embedded mode

You might want to hide the UI Bakery loader from your application, for example when embedding it in a third-party solution. Here's how you can do this:

1. Open your app's *settings* and click on the **Embed URL** link. \
   It will open in a separate tab.
2. Here, add the `?uib_skip_init_loader` parameter to the page URL.
3. Click **Enter.**

The page will reload without the UI Bakery loader.

{% @arcade/embed flowId="PDngxH6WIiEVzGhuRMEb" url="<https://app.arcade.software/share/PDngxH6WIiEVzGhuRMEb>" %}

{% hint style="warning" %}
The UI Bakery loader is configured in a way that it is displayed until the application and resources are fully loaded. The approach suggested above *hides the loader on the resources loading*. \
This means that the loader will be hidden in the **Share** mode and on the **Account** pages, but will still be available in the Builder and in the menu.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.uibakery.io/how-tos/layout-and-navigation/hide-loader-in-the-embedded-mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
